Enable-SB

Standard

Enable- SB

Symbol:

Description:

The execution of the function blocks contained in a structure block can be controlled by the bit input of the Enable-SB block. When the input signal P is 1 the target system functions of the contained blocks are called. At 0 the block functions are skipped.

The Enable-SB block is placed at the lower right corner if it is dropped over the symbol of a structure block during inserting. The block is connected to the structure block until it is erased, i.e. operations like moving and copying are automatically executed with both blocks.

Signals:

Name

I/O

Type(s)

Function

P

I

BIT

Enable input

Comment:

At disabled structure blocks the last calculated values are provided at the outputs.

By enabling and disabling structure blocks the runtime of programs can be reduced considerably. For example with sequence controls it is useful to enable or to disable program parts over the bit outputs of the step blocks


Input

Symbol:

Description:

This block creates an input for the structure block into whose worksheet it was inserted.

At inserting the name of the structure block connector can be entered and the data type can be selected. The name appears left besides the block symbol. It must be unambiguous i.e. no other input or output block in the structure block may bear the same name. When inserting, therefore an unambiguous name is suggested. Any data type defined in the system can be selected.

The data type of the structure block connector can be selected from a list. The size of the list depends on the number of configured data types. User defined data types can be also contained besides the standard data types. Like the connections the input block is also colored depending on the data type.

The output of the input block can be connected with compatible inputs of other blocks in the worksheet. Before connecting the newly created structure block input it must be placed on the symbol of the structure block in the design view. (refer to iCon-L online help)

Parameter:

The parameter dialog can be used to assign a name and select a data type when inserting the function block. When used at a later point, only the name can be changed.

Signals:

Output depending on assigned data type

Visualization:

Like the connections the input block is colored depending on the data type.

Comment:

No signal processing


Output

Symbol:

Description:

This block creates an output for the structure block into whose worksheet it was inserted.

At inserting the name of the structure block connector can be entered and the data type can be selected. The name appears left besides the block symbol. It must be unambiguous i.e. no other input or output block in the currently edited structure block may bear the same name. When inserting, therefore an unambiguous name is suggested. Any data type defined in the system can be selected.

The input of the output block can be connected with compatible outputs of other blocks in the worksheet. Before connecting the newly created structure block output it must be placed on the symbol of the structure block in the design view. (refer to iCon-L online help)

Parameter:

The parameter dialog can be used to assign a name and select a data type when inserting the function block. When used at a later point, only the name can be changed.

Signals:

Input depending on assigned data type

Visualization:

Like the connections the output block is colored depending on the data type.

Comment:

No signal processing


Text comment

Symbol: |  | [Text]
Description: | The text comment block is exclusively used for program documentation purposes. It is possible to enter a text up to 255 characters (including new lines). With the help of the clipboard, texts can also be inserted out of other applications. Larger texts are cut off automatically in this case. You can choose between three font sizes.
Parameter: | The parameter dialog can be used to enter the comment and to select the font size.
Comment: | The texts can be changed only when in edit mode.